Squirrelmail and PhpMyAdmin issue

Discussion in 'Installation/Configuration' started by bergkamp(10), Mar 2, 2014.

  1. bergkamp(10)

    bergkamp(10) New Member

    Good day,

    I'm having an issue with the http://www.howtoforge.com/perfect-server-opensuse-12.2-x86_64-apache2-dovecot-ispconfig-3 setup.
    Current ISPConfig Version: 3.0.5.3

    When trying to access squirrelmail or phpmyadmin the browser prompts for a file download. This leads me to believe that the php files in those directories are not being interpreted.

    All other php files for the hosted (vhosts) sites are working.

    Any assistance will be greatly appreciated.
     
  2. srijan

    srijan New Member HowtoForge Supporter

    Hi

    Please paste the entries of the command

    & please paste the error.log of apache.

    Br//
    Srijan
     
  3. bergkamp(10)

    bergkamp(10) New Member

    Thanks for the reply:

    cat /etc/apache2/conf.d/phpMyAdmin.conf :


    Alias /phpMyAdmin /srv/www/htdocs/phpMyAdmin
    Alias /phpmyadmin /srv/www/htdocs/phpMyAdmin
    <Directory /srv/www/htdocs/phpMyAdmin>
    Options FollowSymLinks
    AllowOverride None
    <IfModule mod_php5.c>
    php_admin_flag register_globals off
    php_admin_flag magic_quotes_gpc off
    php_admin_flag allow_url_include off
    php_admin_flag allow_url_fopen off
    php_admin_flag zend.ze1_compatibility_mode off
    php_admin_flag safe_mode Off
    php_admin_value open_basedir "/srv/www/htdocs/phpMyAdmin:/var/lib/php5:/tmp:/usr/share/doc/packages/phpMyAdmin:/etc/phpMyAdmin"
    # customize suhosin
    php_admin_value suhosin.post.max_array_index_length 256
    php_admin_value suhosin.post.max_totalname_length 8192
    php_admin_value suhosin.post.max_vars 2048
    php_admin_value suhosin.request.max_array_index_length 256
    php_admin_value suhosin.request.max_totalname_length 8192
    php_admin_value suhosin.request.max_vars 2048
    </IfModule>
    </Directory>
    <Directory /srv/www/htdocs/phpMyAdmin/libraries>
    Order allow,deny
    Deny from all
    </Directory>

    vi /var/log/apache2/error_log

    I have attached the /var/log/apache2/error_log file
     

    Attached Files:

  4. till

    till Super Moderator Staff Member ISPConfig Developer

    The file seems to be fine. According to your error, mod_php is not installed or not enabled. please try:

    zypper install apache2-mod_php5

    a2enmod php5
     
  5. bergkamp(10)

    bergkamp(10) New Member

    here is the output when I ran the command:

    zypper install apache2-mod_php5
    Loading repository data...
    Warning: Repository 'openSUSE-12.2-Update' appears to outdated. Consider using a different mirror or server.
    Reading installed packages...
    Resolving package dependencies...

    The following package is going to be upgraded:
    apache2-mod_php5

    1 package to upgrade.
    Overall download size: 1.1 MiB. No additional space will be used or freed after the operation.
    Continue? [y/n/?] (y): y
    Retrieving package apache2-mod_php5-5.3.15-1.20.1.x86_64 (1/1), 1.1 MiB ( 8.4 MiB unpacked)
    Retrieving delta: ./x86_64/apache2-mod_php5-5.3.15-1.16.1_1.20.1.x86_64.drpm, 97.4 KiB
    Retrieving: apache2-mod_php5-5.3.15-1.16.1_1.20.1.x86_64.drpm .............................................................[done]
    Applying delta: ./apache2-mod_php5-5.3.15-1.16.1_1.20.1.x86_64.drpm .......................................................[done]
    Installing: apache2-mod_php5-5.3.15-1.20.1 ................................................................................[done]
    There are some running programs that use files deleted by recent upgrade. You may wish to restart some of them. Run 'zypper ps' to list these programs.



    The server was rebooted and the problem is still around
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    Did you enabled the module with the a2enmod command and did the command report that it was enabled successfully before you rebooted?
     
  7. bergkamp(10)

    bergkamp(10) New Member

    I rebooted then ran the command : a2enmod php5
    the output was : "php5" already present
     
  8. bergkamp(10)

    bergkamp(10) New Member

    Hi Til,

    I have since rebooted and still no luck with squirrelmail and phpmyadmin.
    Is there any other way to try solve the issue?
     
    Last edited: Mar 4, 2014

Share This Page